Subject: [sfc] Specific comments on draft-merged-sfc-architecture-00

From: Ron Parker <[email-masked]>
Date: Tue, 22 Jul 2014 00:31:30 +0000

Hi, all.

I've just given a complete re-read to the merged architecture draft and I'd like to reinforce all of the thread comments that the editors have done a great job.

We've had quite an airing on some related topics, including instance selection, and the editors are likely taking these into account, already.   At the risk of repeating, I'd like to provide a few specific comments based on my re-read, here:

Section 2.3 (Service Function Paths) - this section does indeed adequately define an SFP as either being fully constrained or partially constrained -- "This abstraction enables the binding of SFCs to specific instances,  or set of like instances of SFs based on a range of policy attributes defined by the operator".   However, the section then goes on to imply that an SFP is fully constrained - "and only when the SFP  is created is one of those firewall instances selected".     As has been discussed on the thread, a suggestion was to allow for (but not require) distributed instance selection, presumably by the SFF's.

Section 3 (Architectural Principles) - item 4 (Shared Metadata) - this item calls out sharing between classifier and SF's and between SF's and SF's.   If distributed instance selection is supported, then it would be also useful to share metadata between classifier and SFF's in order to facilitate policy driven distributed instance selection.

Section 4.3 (SFF) - In cases where SFP is not fully constrained, additional responsibilities would be added to the list of primary responsibilities - selection of an SFI for the current SF in the chain when the SFP is not fully constrained for that SF; section of an SFF hosting one or more instances of the next SF when the SFP is not fully constrained for that SF.

Section 4.9 (shared metadata) - similar comments as per Section 3, above, related to interest by SFF of the metadata for purposes of facilitating policy driven distributed instance selection.

Thanks.

    Ron